package trivial;
/**
 * States of the trivial server.
 * @author Eric Lallet.
 *
 */
public enum TrivialServerState {
	/**
	 * No player is connected.
	 */
	SLEEPING("Sleeping"),
	/**
	 * waiting for the players answer.
	 */
	WAITING("Waiting"),
	/**
	 * pending between the solution and the next question.
	 */
	PENDING("Pending"),
	/**
	 * no activity : end of server
	 */
	FINALSTATE("End of server");
	
	String name;
	private TrivialServerState(String name) {
		this.name = name;
	}
	
	@Override
	public String toString() {
		return this.name;
	}
}
