package https;




import java.io.IOException;

import java.nio.ByteBuffer;

import java.nio.channels.ReadableByteChannel;



/**
 * Connect to an hhtps server, and receive data.
 * @author Éric Lallet.
 *
 */
public class HttpsProtocol   {
	/**
	 * ByteBuffer size.
	 */
	private static final int BUFFSIZE = 4096;
	/**
	 * status of the connexion.
	 */
	private Status status = Status.NotConnected;
	/**
	 * channel connected to the https serveur.
	 */
	private ReadableByteChannel httpsChan;
	/**
	 * receiving ByteBuffer.
	 */
	private ByteBuffer readBuff;


	/**
	 * 
	 */
	public HttpsProtocol() {
		readBuff =  ByteBuffer.allocate(BUFFSIZE);

	}

	/**
	 * connect hhtpsChan to the hhtps server.
	 * @param urlString
	 *                 URL of the hhtps server.
	 * @throws IOException
	 *                 the exception thrown in case of IO problem.
	 */
	public void connectTo(final String urlString) throws IOException {
		// TODO   Question 3.2.1
	}


	/**
	 * read text data sent by the https server.
	 * @return
	 *         text data sent by the https server. 
	 * @throws IOException
	 *                  the exception thrown in case of IO problem.
	 */
	public String recvData() throws IOException {
		String texte = null;
		
		// TODO  Question 3.2.2
		
		return texte;
	}


	/**
	 * 
	 * @throws IOException
	 *                   the exception thrown in case of IO problem.
	 */
	public void close() throws IOException {
		if (status != Status.NotConnected) {
			httpsChan.close();
			status = Status.NotConnected;
		}
	}

	/**
	 * 
	 * @return 
	 *         status of httpsProtocol.
	 */
	public Status getStatus() {
		return status;
	}

	/**
	 * 
	 * @return
	 *        channel connected to httpsProtocol.
	 */
	public ReadableByteChannel getHttpChan() {
		return httpsChan;
	}

}
